<?php
/**
 *
 * Adyen Payment Module
 *
 * Copyright (c) 2021 Adyen N.V.
 * This file is open source and available under the MIT license.
 * See the LICENSE file for more info.
 *
 * Author: Adyen <magento@adyen.com>
 */

namespace Adyen\Payment\Api;

/**
 * Interface for persisting the Adyen state data
 *
 * @api
 */
interface AdyenStateDataInterface
{
    /**
     * Persist the Adyen state data for the quote so it can be used in the payment request
     *
     * @param string $stateData JSON string with the payment state data, e.g. generated by the Adyen Web Components
     * @param int $quoteId Quote ID to relate with the state data
     * @return string
     */
    public function save($stateData, $quoteId);
}
