<?php
/**
 *
 * Adyen Payment module (https://www.adyen.com/)
 *
 * Copyright (c) 2021 Adyen BV (https://www.adyen.com/)
 * See LICENSE.txt for license details.
 *
 * Author: Adyen <magento@adyen.com>
 */

namespace Adyen\Payment\Api\Internal;

/**
 * Interface for performing an Adyen payment details call
 *
 * @api
 */
interface InternalAdyenPaymentDetailsInterface
{
    /**
     * @param string $payload Details that were returned as a result of the /payments call + order ID in JSON format.
     * @param string $formKey Frontend form key.
     * @return \Magento\Checkout\Api\Data\PaymentDetailsInterface
     */
    public function handleInternalRequest($payload, $formKey);
}
