<?php
/**
 *
 * Adyen Payment module (https://www.adyen.com/)
 *
 * Copyright (c) 2022 Adyen BV (https://www.adyen.com/)
 * See LICENSE.txt for license details.
 *
 * Author: Adyen <magento@adyen.com>
 */

namespace Adyen\Payment\Model\Config\Source\Recurring;

use Adyen\Payment\Helper\Recurring;
use Magento\Framework\Data\OptionSourceInterface;

class RecurringType implements OptionSourceInterface
{
    /**
     * @return array
     */
    public function toOptionArray(): array
    {
        $options = [];
        $recurringTypes = Recurring::getRecurringTypes();

        foreach ($recurringTypes as $recurringType) {
            $options[] = ['value' => $recurringType, 'label' => $recurringType];
        }

        return $options;
    }
}
